This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-03-31 13:46
Elapsed6m48s
Revision
Builderf97ba46e-7355-11ea-8574-7e2b78ec67cb
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/fc1d6ad4-2f22-49cd-b95f-4e0f9c1d0cbe/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/fc1d6ad4-2f22-49cd-b95f-4e0f9c1d0cbe/targets/test
infra-commitbf7dc9346

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0331 13:46:51.196] process 30 exited with code 0 after 0.0m
I0331 13:46:51.196] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 13:46:51.196] Root: /workspace
I0331 13:46:51.196] cd to /workspace
I0331 13:46:51.196] Configure environment...
I0331 13:46:51.197] Call:  git show -s --format=format:%ct HEAD
W0331 13:46:51.201] fatal: not a git repository (or any of the parent directories): .git
I0331 13:46:51.201] process 43 exited with code 128 after 0.0m
W0331 13:46:51.201] Unable to print commit date for HEAD
I0331 13:46:51.201] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 13:46:51.699] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 13:46:52.575] process 44 exited with code 0 after 0.0m
I0331 13:46:52.576] Call:  gcloud config get-value account
I0331 13:46:53.433] process 57 exited with code 0 after 0.0m
I0331 13:46:53.433] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 13:46:53.433] Start 1244984421216423936 at ...
I0331 13:46:53.436] Call:  gsutil -q -h Content-Type:application/json cp /tmp/gsutil_Pgsxdw gs://kubernetes-jenkins/logs/metrics-kettle/1244984421216423936/started.json
I0331 13:46:56.215] process 70 exited with code 0 after 0.0m
I0331 13:46:56.216] Call:  /workspace/./test-infra/jenkins/../scenarios/execute.py test-infra/kettle/monitor.py -- --stale=6 --table k8s-gubernator:build.all k8s-gubernator:build.week k8s-gubernator:build.day
W0331 13:46:56.243] Run: ('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')
I0331 13:53:29.997] ERROR: table k8s-gubernator:build.all is 6.8 hours old. Max allowed: 6 hours.
I0331 13:53:29.997] ERROR: table k8s-gubernator:build.week is 7.0 hours old. Max allowed: 6 hours.
I0331 13:53:29.997] ERROR: table k8s-gubernator:build.day is 6.5 hours old. Max allowed: 6 hours.
I0331 13:53:29.997] Collected data:
I0331 13:53:29.997] bigquery,db=k8s-gubernator:build.all modified_time=1585637957838i,row_count=15600237i,size_bytes=324156741220i
I0331 13:53:29.998] bigquery,db=k8s-gubernator:build.week modified_time=1585637111949i,row_count=96169i,size_bytes=4542246879i
I0331 13:53:29.998] bigquery,db=k8s-gubernator:build.day modified_time=1585638874894i,row_count=20413i,size_bytes=735920500i
I0331 13:53:29.998] 
W0331 13:53:30.083] Traceback (most recent call last):
... skipping 22 lines ...
W0331 13:53:30.087]     self.send(msg)
W0331 13:53:30.087]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0331 13:53:30.087]     self.connect()
W0331 13:53:30.087]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0331 13:53:30.087]     conn = self._new_conn()
W0331 13:53:30.088]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0331 13:53:30.088]     self, "Failed to establish a new connection: %s" % e
W0331 13:53:30.088] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7f0f838de358>: Failed to establish a new connection: [Errno 110] Connection timed out
W0331 13:53:30.088] 
W0331 13:53:30.088] During handling of the above exception, another exception occurred:
W0331 13:53:30.088] 
W0331 13:53:30.088] Traceback (most recent call last):
W0331 13:53:30.088]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0331 13:53:30.088]     timeout=timeout
W0331 13:53:30.088]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0331 13:53:30.089]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0331 13:53:30.089]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0331 13:53:30.089]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0331 13:53:30.089] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f0f838de358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 13:53:30.089] 
W0331 13:53:30.089] During handling of the above exception, another exception occurred:
W0331 13:53:30.089] 
W0331 13:53:30.089] Traceback (most recent call last):
W0331 13:53:30.090]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0331 13:53:30.090]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0331 13:53:30.091]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0331 13:53:30.091]     resp = self.send(prep, **send_kwargs)
W0331 13:53:30.091]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0331 13:53:30.091]     r = adapter.send(request, **kwargs)
W0331 13:53:30.091]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0331 13:53:30.092]     raise ConnectionError(e, request=request)
W0331 13:53:30.092] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7f0f838de358>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 13:53:30.092] Traceback (most recent call last):
W0331 13:53:30.092]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0331 13:53:30.092]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0331 13:53:30.092]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0331 13:53:30.092]     check(*cmd)
W0331 13:53:30.092]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0331 13:53:30.093]     subprocess.check_call(cmd)
W0331 13:53:30.093]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0331 13:53:30.093]     raise CalledProcessError(retcode, cmd)
W0331 13:53:30.093] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0331 13:53:30.093] Command failed
I0331 13:53:30.093] process 252 exited with code 1 after 6.6m
E0331 13:53:30.093] FAIL: metrics-kettle
I0331 13:53:30.094] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 13:53:30.549] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 13:53:31.167] process 256 exited with code 0 after 0.0m
I0331 13:53:31.167] Call:  gcloud config get-value account
I0331 13:53:32.024] process 268 exited with code 0 after 0.0m
I0331 13:53:32.025] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 13:53:32.025] Upload result and artifacts...
I0331 13:53:32.025] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1244984421216423936
W0331 13:53:32.025] Missing local artifacts : /workspace/_artifacts
W0331 13:53:32.025] metadata path /workspace/_artifacts/metadata.json does not exist
W0331 13:53:32.026] metadata not found or invalid, init with empty metadata
I0331 13:53:32.026] Call:  git rev-parse HEAD
W0331 13:53:32.031] fatal: not a git repository (or any of the parent directories): .git
E0331 13:53:32.032] Command failed
I0331 13:53:32.032] process 281 exited with code 128 after 0.0m
I0331 13:53:32.032] Call:  git rev-parse HEAD
I0331 13:53:32.036] process 282 exited with code 0 after 0.0m
I0331 13:53:32.037] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0331 13:53:33.402] process 283 exited with code 0 after 0.0m
I0331 13:53:33.403] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585659161079622'
... skipping 8 lines ...